package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.oe.task.api.ExamCaptureQueueCloudService;
import cn.com.qmth.examcloud.web.task.AbstractTask;
import cn.com.qmth.examcloud.web.task.ScheduleJob;
import cn.com.qmth.examcloud.web.task.TaskTracker;


/**
 * 
 * @author  	chenken
 * @date    	2018年12月3日 上午10:11:26
 * @company 	QMTH
 * @description 抓拍照片失败处理
 */
@Component("examCaptureQueueFailedDisposeTask")
public class ExamCaptureQueueFailedDisposeTask extends AbstractTask{

	@Autowired
	TaskTracker taskTracker;
	
	@Autowired
	private ExamCaptureQueueCloudService examCaptureQueueCloudService;
	
	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}

	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		examCaptureQueueCloudService.examCaptureQueueFailedDispose();
	}

}
